[LAU] Are RT-patches needed anymore? (Was Re: >= 2.6.27 RT ETA? )

David Baron d_baron at 012.net.il
Tue Mar 10 10:00:38 EDT 2009

On Tuesday 10 March 2009 15:45:44 Cassiel wrote:
> Hi again,
> debian stock kernels are not rt. In order to work with lower latencies and
> boost audio performance you need to patch the generic kernel.
> A fix for midi should be in this rt patch
> http://www.kernel.org/pub/linux/kernel/projects/rt/patch-
>but I am not sure) and higher. Otherwise you can download the patch here
> http://offog.org/stuff/rt-200901/tasklets-fix-tasklet_hi_action.patch
> Actually I am on 2.6.29-rt-vanilla, debian way compiled, on testing/squeeze
> but I did it on lenny a couple of days after it was released.
> When compiling from vanilla sources you must prevent compiler warnings to
> stop building by checking "Kernel hacking" -> "Continue building despite
> compiler warnings" and then go with make-kpkg as usual on debian.

Where did you get "Debian Way" sources for 2.6.29?

The last kernel I made for rt patches that was workable was 2.6.23 which I got 
prepatched from musix. Kernels I built for 2.6.25 and 2.6.26 had problems with 
IDE DMA and were too dangerous to use (this was for a via chipset MB). I am 
running an unpatched (none available) 2.6.28 without problems but have done no 
audio on it. Things play OK.

More information about the Linux-audio-user mailing list